<?php
/*
  products_uploader_config.php
  作成日：2004/12/2
　最終更新日：2006/1/31

　作成者：有限会社セカンドブレーン
　　　　　　青木隆平
　　　　　　ryuhei@secondbrain.co.jp

  products_uploadrer用　設定ファイル

  Released under the GNU General Public License
*/

// 商品データ関連項目リスト
  $field_check = array(array('id' => 'p2c.categories_id', 'table' => 'products_to_categories', 'field' => 'categories_id', 'title' => TEXT_CATEGORIES_ID, 'type' => 'N'),
                            array('id' => 'p.products_model', 'table' => 'products', 'field' => 'products_model', 'title' => TEXT_PRODUCTS_MODEL, 'type' => 'X'),
                            array('id' => 'pd.products_name', 'table' => 'products_description', 'field' => 'products_name', 'title' => TEXT_PRODUCTS_NAME, 'type' => 'X'),
                            array('id' => 'pd.products_subtitle', 'table' => 'products_description', 'field' => 'products_subtitle', 'title' => TEXT_PRODUCTS_SUBTITLE, 'type' => 'X'),
                            array('id' => 'pd.products_series_title', 'table' => 'products_description', 'field' => 'products_series_title', 'title' => TEXT_PRODUCTS_SERIES_TITLE, 'type' => 'X'),
                            array('id' => 'pd.products_author', 'table' => 'products_description', 'field' => 'products_author', 'title' => TEXT_PRODUCTS_AUTHOR, 'type' => 'X'),
                            array('id' => 'pd.products_description', 'table' => 'products_description', 'field' => 'products_description', 'title' => TEXT_PRODUCTS_DESCRIPTION, 'type' => 'X'),
                            array('id' => 'pd.products_description2', 'table' => 'products_description', 'field' => 'products_description2', 'title' => TEXT_PRODUCTS_DESCRIPTION2, 'type' => 'X'),
                            array('id' => 'pd.products_keywords', 'table' => 'products_description', 'field' => 'products_keywords', 'title' => TEXT_PRODUCTS_KEYWORDS, 'type' => 'X'),
                            array('id' => 'p.products_isbn', 'table' => 'products', 'field' => 'products_isbn', 'title' => TEXT_PRODUCTS_ISBN, 'type' => 'X'),
                            array('id' => 'pd.products_volume', 'table' => 'products_description', 'field' => 'products_volume', 'title' => TEXT_PRODUCTS_VOLUME, 'type' => 'X'),
                            array('id' => 'p.manufacturers_id', 'table' => 'products', 'field' => 'manufacturers_id', 'title' => TEXT_MANUFACTURERS_ID, 'type' => 'N'),
                            array('id' => 'pd.products_published', 'table' => 'products_description', 'field' => 'products_published', 'title' => TEXT_PRODUCTS_PUBLISHED, 'type' => 'X'),
                            array('id' => 'pd.products_publishers', 'table' => 'products_description', 'field' => 'products_publishers', 'title' => TEXT_PRODUCTS_PUBLISHERS, 'type' => 'X'),
                            array('id' => 'p.products_quantity', 'table' => 'products', 'field' => 'products_quantity', 'title' => TEXT_PRODUCTS_QUANTITY, 'type' => 'N'),
                            array('id' => 'p.products_image', 'table' => 'products', 'field' => 'products_image', 'title' => TEXT_PRODUCTS_IMAGE, 'type' => 'X'),
                            array('id' => 'p.products_status', 'table' => 'products', 'field' => 'products_status', 'title' => TEXT_PRODUCTS_STATUS, 'type' => 'N'),
                            array('id' => 'p.products_price', 'table' => 'products', 'field' => 'products_price', 'title' => TEXT_PRODUCTS_PRICE, 'type' => 'N'),
                            array('id' => 'p.products_weight', 'table' => 'products', 'field' => 'products_weight', 'title' => TEXT_PRODUCTS_WEIGHT, 'type' => 'N'),
                            array('id' => 'p.products_date_available', 'table' => 'products', 'field' => 'products_date_available', 'title' => TEXT_PRODUCTS_DATE_AVAILABLE, 'type' => 'D'),
                            array('id' => 'p.products_tax_class_id', 'table' => 'products', 'field' => 'products_tax_class_id', 'title' => TEXT_PRODUCTS_TAX_CLASS, 'type' => 'N'),
                            array('id' => 'pd.products_url', 'table' => 'products_description', 'field' => 'products_url', 'title' => TEXT_PRODUCTS_URL, 'type' => 'X'),
                            array('id' => 'p.recommendation_order', 'table' => 'products', 'field' => 'recommendation_order', 'title' => TEXT_RECOMMENDATION_ORDER, 'type' => 'N'),
                            array('id' => 'p.sort_order', 'table' => 'products', 'field' => 'sort_order', 'title' => TEXT_SORT_ORDER, 'type' => 'N'),
                            array('id' => 'pd.products_memo', 'table' => 'products_description', 'field' => 'products_memo', 'title' => TEXT_PRODUCTS_MEMO, 'type' => 'X'));

// フォルダ情報
  define('DIR_FS_UPLOAD', DIR_FS_ADMIN . 'data_upload/');								// アップロードデータ格納ディレクトリ
  define('FILENAME_UPLOAD_INIFILE', DIR_FS_UPLOAD . 'upload.ini');						// アップロード設定ファイル
  define('FILENAME_UPLOAD_TEMPFILE01', DIR_FS_UPLOAD . 'tempfile01.csv');				// アップロード一時ファイル（文字コード変換後）
  define('FILENAME_UPLOAD_TEMPFILE02', DIR_FS_UPLOAD . 'tempfile02.csv');				// アップロード一時ファイル（データチェック後）
  define('FILENAME_DOWNLOAD_FILE', 'download.csv');								// ダウンロードファイル名
  define('FILENAME_UPLOAD_CONFIG', DIR_FS_UPLOAD . 'upload_csv_format.txt');				// アップロードCSVファイルレイアウト設定ファイル
  define('FILENAME_UPLOAD_CONFIG_BACKUP', DIR_FS_UPLOAD . 'upload_csv_format_bk.txt');		// アップロードCSVファイルレイアウト設定ファイル（バックアップ）
  define('FILENAME_DOWNLOAD_CONFIG', DIR_FS_UPLOAD . 'download_csv_format.txt');			// ダウンロードCSVファイルレイアウト設定ファイル
  define('FILENAME_DOWNLOAD_CONFIG_BACKUP', DIR_FS_UPLOAD . 'download_csv_format_bk.txt');	// ダウンロードCSVファイルレイアウト設定ファイル（バックアップ）
  define('FILENAME_UPLOAD_HISTORY', DIR_FS_UPLOAD . 'upload_history.csv');				// アップロード履歴ファイル

// 関数

// 設定情報取得
  function inifile_setup($update_array = "") {
    $flg_update = false;
    $ini_data = @parse_ini_file(FILENAME_UPLOAD_INIFILE);
    if (empty($ini_data)) {
      $ini_data = array(
      'upfile_size' => '3000',		// アップロードファイル１行あたりの最大バイト数
      'upfile_delimiter' => ',',	// 区切り文字
      'upfile_mode' => 'yes_ignore');			// 管理コードをIDに使用　yes_ignore:使用する（ID重複時は登録しない）　yes_replace:使用する（ID重複時は置き換え）　no:使用しない
      $flg_update = true;
    }
    if ($update_array) {
      // 設定情報の更新チェック
      if (isset($update_array['upfile_mode']) && (($update_array['upfile_mode'] == 'yes_ignore') || ($update_array['upfile_mode'] == 'yes_replace') || ($update_array['upfile_mode'] == 'no_use'))) {
        $ini_data['upfile_mode'] = $update_array['upfile_mode'];
      }
      $flg_update = true;
    }
    if ($flg_update) {
      // 設定情報の更新
      $inifile = fopen(FILENAME_UPLOAD_INIFILE, 'w');
      foreach ($ini_data as $key => $value) fputs($inifile, "$key=$value\n");
      fclose($inifile);
    }
    return $ini_data;
  }

?>